# Request and Response

## Delete one or more products from a given price list

<mark style="color:orange;">`DELETE`</mark>`https://api.alephcrm.com/v2/products/prices`

#### Query Parameters

| Name                                                | Type    | Description                                    |
| --------------------------------------------------- | ------- | ---------------------------------------------- |
| API\_KEY<mark style="color:red;">\*</mark>          | String  | (default=none)                                 |
| accountId <mark style="color:red;">\*</mark>        | Integer | (default=none)                                 |
| confirmationToken<mark style="color:red;">\*</mark> | String  |                                                |
| priceListInfo                                       | String  | [#pricelistinfo-1](#pricelistinfo-1 "mention") |

{% tabs %}
{% tab title="200: OK ActionResultType" %}

{% endtab %}

{% tab title="300: Multiple Choices {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="304: Not Modified {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="400: Bad Request {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="401: Unauthorized {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="403: Forbidden {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="404: Not Found {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="500: Internal Server Error string" %}

{% endtab %}

{% tab title="412: Precondition Failed ActionResultType" %}

{% endtab %}

{% tab title="415: Unsupported Media Type {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="429: Too Many Requests {"Status": integer, "Message": string}" %}

{% endtab %}
{% endtabs %}

## Parameters details

### API\_KEY

The API\_KEY that was provided.

### accountId

The Alephee account ID of the orders you are trying to get.

### confirmationToken

The confirmation token for executing this operation.\
Can be retrieved using the GET logintoken endpoint. Bear in mind the token has a short time-to-live time span.

### priceListInfo

Object with price list identification and collection of products set for deletion.

### PriceListInfo

| Property                                        | Type                                       | Description                                                                                                                              |
| ----------------------------------------------- | ------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------- |
| <p>PriceListId \*</p><p> </p><p>(mandatory)</p> | integer                                    | <p>The Alephee’ s internal price list ID.</p><p> </p><p>Can be retrieved using the GET accounts/pricelists endpoint.</p><p> </p><p> </p> |
| <p>Products</p><p> </p><p>(optional)</p>        | [#plproductinfo](#plproductinfo "mention") | <p>Array of given selected products for deletion.</p><p> </p>                                                                            |

### PLProductInfo

| Property | Type   | Description                          |
| -------- | ------ | ------------------------------------ |
| Brand    | string | <p>Product brand</p><p> </p><p> </p> |
| SKU \*   | string | <p>Product SKU</p><p> </p>           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/products/delete-methods/delete-products-from-a-price-list/request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
